##### basic_signal_set::basic_signal_set (1 of 8 overloads)

Construct a signal set without adding any signals.

    basic_signal_set(
        const executor_type & ex);

This constructor creates a signal set without registering for any signals.

###### Parameters

ex

  The I/O executor that the signal set will use, by default, to dispatch handlers for any asynchronous operations performed on the signal set.